NAME

OpenAPI::Client::OpenAI::Path::evals-eval_id-runs-run_id-output_items - Documentation for the /evals/{eval_id}/runs/{run_id}/output_items path.

OPERATIONS

GET /evals/{eval_id}/runs/{run_id}/output_items

getEvalRunOutputItems

$client->get_eval_run_output_items({
    body => { ... },
});

Get a list of output items for an evaluation run.

Path/query parameters

  • eval_id (in path, required, string) - The ID of the evaluation to retrieve runs for.

  • run_id (in path, required, string) - The ID of the run to retrieve output items for.

  • after (in query, optional, string) - Identifier for the last output item from the previous pagination request.

  • limit (in query, optional, integer) - Number of output items to retrieve.

    Default: 20

  • status (in query, optional, string) - Filter output items by status. Use failed to filter by failed output items or pass to filter by passed output items.

    Allowed values: fail, pass

  • order (in query, optional, string) - Sort order for output items by timestamp. Use asc for ascending order or desc for descending order. Defaults to asc .

    Allowed values: asc, desc

    Default: asc

Responses

200 - A list of output items for the evaluation run

Content-Type: application/json

Example:

"{\n  \"object\": \"list\",\n  \"data\": [\n    {\n      \"object\": \"eval.run.output_item\",\n      \"id\": \"outputitem_67abd55eb6548190bb580745d5644a33\",\n      \"run_id\": \"evalrun_67abd54d60ec8190832b46859da808f7\",\n      \"eval_id\": \"eval_67abd54d9b0081909a86353f6fb9317a\",\n      \"created_at\": 1739314509,\n      \"status\": \"pass\",\n      \"datasource_item_id\": 137,\n      \"datasource_item\": {\n          \"teacher\": \"To grade essays, I only check for style, content, and grammar.\",\n          \"student\": \"I am a student who is trying to write the best essay.\"\n      },\n      \"results\": [\n        {\n          \"name\": \"String Check Grader\",\n          \"type\": \"string-check-grader\",\n          \"score\": 1.0,\n          \"passed\": true,\n        }\n      ],\n      \"sample\": {\n        \"input\": [\n          {\n            \"role\": \"system\",\n            \"content\": \"You are an evaluator bot...\"\n          },\n          {\n            \"role\": \"user\",\n            \"content\": \"You are assessing...\"\n          }\n        ],\n        \"output\": [\n          {\n            \"role\": \"assistant\",\n            \"content\": \"The rubric is not clear nor concise.\"\n          }\n        ],\n        \"finish_reason\": \"stop\",\n        \"model\": \"gpt-4o-2024-08-06\",\n        \"usage\": {\n          \"total_tokens\": 521,\n          \"completion_tokens\": 2,\n          \"prompt_tokens\": 519,\n          \"cached_tokens\": 0\n        },\n        \"error\": null,\n        \"temperature\": 1.0,\n        \"max_completion_tokens\": 2048,\n        \"top_p\": 1.0,\n        \"seed\": 42\n      }\n    },\n  ],\n  \"first_id\": \"outputitem_67abd55eb6548190bb580745d5644a33\",\n  \"last_id\": \"outputitem_67abd55eb6548190bb580745d5644a33\",\n  \"has_more\": false\n}\n"

SCHEMAS

EvalApiError

Properties:

  • code (string, required) - The error code.

  • message (string, required) - The error message.

EvalRunOutputItem

Properties:

  • created_at (integer, required) - Unix timestamp (in seconds) when the evaluation run was created.

  • datasource_item (object, required) - Details of the input data source item.

  • datasource_item_id (integer, required) - The identifier for the data source item.

  • eval_id (string, required) - The identifier of the evaluation group.

  • id (string, required) - Unique identifier for the evaluation run output item.

  • object (string, required) - The type of the object. Always "eval.run.output_item".

    Allowed values: eval.run.output_item

    Default: eval.run.output_item

  • results (array of EvalRunOutputItemResult, required) - A list of grader results for this output item.

  • run_id (string, required) - The identifier of the evaluation run associated with this output item.

  • sample (object, required) - A sample containing the input and output of the evaluation run.

  • status (string, required) - The status of the evaluation run.

EvalRunOutputItemList

Properties:

  • data (array of EvalRunOutputItem, required) - An array of eval run output item objects.

  • first_id (string, required) - The identifier of the first eval run output item in the data array.

  • has_more (boolean, required) - Indicates whether there are more eval run output items available.

  • last_id (string, required) - The identifier of the last eval run output item in the data array.

  • object (string, required) - The type of this object. It is always set to "list".

    Allowed values: list

    Default: list

EvalRunOutputItemResult

Properties:

  • name (string, required) - The name of the grader.

  • passed (boolean, required) - Whether the grader considered the output a pass.

  • sample (anyOf) - Optional sample or intermediate data produced by the grader.

  • score (number, required) - The numeric score produced by the grader.

  • type (string) - The grader type (for example, "string-check-grader").

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.